/* eslint-disable */
const tableDataRaw =
  `BatchID\tFinal_Cell viability\tFinal_Titer\tFinal_Viable cell density\tFinal_Dead cell density\tFinal_Lysed cell density\tFinal_Bio material\tUmax\tkd\tkt\tkl\tinh\tkIgG
C1\t0,855157928\t3,246914639\t441,4661079\t74,77316608\t31,13328744\t621,6219412\t0,64198\t0,050517\t0,001211\t0,337231\t124,3231\t0,005228
C2\t0,853492721\t2,941832563\t327,3474803\t56,19120987\t49,55281662\t483,6527208\t0,643684\t0,063264\t0,001238\t0,67161\t74,65822\t0,005868
C3\t0,769406485\t1,947041257\t424,0288106\t127,0827526\t35,24579259\t613,2539188\t0,632598\t0,028298\t0,017836\t0,026702\t116,5548\t0,002945
C4\t0,847484451\t1,704710835\t440,4913874\t79,27199828\t13,81458911\t626,2180134\t0,922765\t0,015076\t0,006799\t0,11021\t102,8956\t0,002624
C5\t0,616219035\t1,324831721\t372,5689694\t232,0358031\t52,01908435\t570,4234111\t0,555718\t0,056567\t0,012242\t0,037112\t107,6626\t0,002328
C6\t0,918230943\t1,003820934\t446,896524\t39,79642342\t22,88347339\t632,0305978\t0,750944\t0,018292\t0,002549\t0,625935\t140,9675\t0,001639
C7\t0,911378743\t0,855803875\t440,3066227\t42,81483021\t39,86207113\t627,6000048\t0,842663\t0,012999\t0,00285\t1,329044\t131,8074\t0,001364
C8\t0,836229001\t2,284949389\t407,19057\t79,746106\t90,72183135\t602,0209256\t0,734896\t0,07356\t0,001756\t1,147464\t117,4185\t0,003857
C9\t0,86236783\t4,281071574\t394,5762271\t62,97357155\t76,03904412\t588,4773316\t0,629993\t0,06808\t0,001681\t1,237874\t121,1504\t0,007385
`.replace(/\,/gi, '.');

const [columnsNames, ...rows] = tableDataRaw
  .split('\n')
  .map((row) => row.split('\t'));

const mapColumnNameToRawColumnName = {
  [columnsNames[0]]: 'batchId'
};

export const tableData = rows.map((row) =>
  row.reduce((acc, row, rowIdx) => {
    const columnsName =
      mapColumnNameToRawColumnName[columnsNames[rowIdx]] ||
      columnsNames[rowIdx];
    return {
      ...acc,
      [columnsName]: Boolean(row) && rowIdx !== 0 ? parseFloat(row) : row
    };
  }, {})
);
